require 'helper'

class TestPlace < Test::Unit::TestCase

  context "When using the Glomper API and working with venues" do
    setup do
      @client = glomper_test_client
    end

    should "fetch info for a single venue" do
      stub_get("/places/855631/info?access_token=#{@client.oauth_token}", "place.json")
      place = @client.place('855631').info
      place.code.should == 'OMCTM'
      place.dots.first.latitude.should == 55.7053161
    end
    
    should "search for venues based on passed criteria" do
      stub_post("/places/nearby?access_token=#{@client.oauth_token}&latitude=55.7052131&longitude=37.6215232", "search_places.json")
      venues = @client.place.nearby(:latitude => "55.7052131", :longitude => "37.6215232")
      venues[1].code.should == '1TXK'
    end
  end

end